nxt.peer

## Enum Peer.Service

- java.lang.Object
- - java.lang.Enum<Peer.Service>
  - - nxt.peer.Peer.Service

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Peer.Service>
  Enclosing interface:
    Peer

      public static enum Peer.Service
      extends java.lang.Enum<Peer.Service>

  Peer services

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `API`
    `API_SSL`
    `CORS`
    `HALLMARK`
    `PRUNABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCode()`
    `static Peer.Service` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Peer.Service[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HALLMARK

          public static final Peer.Service HALLMARK

    - #### PRUNABLE

          public static final Peer.Service PRUNABLE

    - #### API

          public static final Peer.Service API

    - #### API_SSL

          public static final Peer.Service API_SSL

    - #### CORS

          public static final Peer.Service CORS

  - ### Method Detail

    - #### values

          public static Peer.Service[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Peer.Service c : Peer.Service.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Peer.Service valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public long getCode()